GCLOUD_COMPUTE_NETWORKS_CREATE(1)

NAME

gcloud compute networks create - create a Google Compute Engine network

SYNOPSIS

gcloud compute networks create NAME [--description=DESCRIPTION] [--mode=NETWORK_TYPE] [--range=RANGE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute networks create is used to create virtual networks. A network performs the same function that a router does in a home network: it describes the network range and gateway IP address, handles communication between instances, and serves as a gateway between instances and callers outside the network.

POSITIONAL ARGUMENTS

    NAME
        The name of the network to create.

FLAGS

    --description=DESCRIPTION
        An optional, textual description for the network.

    --mode=NETWORK_TYPE
        The network type. NETWORK_TYPE must be one of:

        auto
            Subnets are created automatically. This is the recommended selection.

        custom
            Create subnets manually.

        legacy
            Create an old style network that has a range and cannot have subnets.

    --range=RANGE
        Specifies the IPv4 address range of legacy mode networks. The range must be specified in CIDR format: http://en.wikipedia.org/wiki/Classless_Inter-Domain_Routing This flag only works if mode is legacy (https://cloud.google.com/compute/docs/vpc/legacy). Using legacy networks is **not recommended**, given that many newer Google Cloud Platform features are not supported on legacy networks. Please be advised that legacy networks may not be supported in the future.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.